MetricsVisitor (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.metrics2
Interface MetricsVisitor

    public interface MetricsVisitor

A visitor interface for metrics

Method Summary
`void` | `counter(MetricCounter<Integer> metric, int value)` Callback for integer value counters
`void` | `counter(MetricCounter<Long> metric, long value)` Callback for long value counters
`void` | `gauge(MetricGauge<Double> metric, double value)` Callback for double value gauges
`void` | `gauge(MetricGauge<Float> metric, float value)` Callback for float value gauges
`void` | `gauge(MetricGauge<Integer> metric, int value)` Callback for int value gauges
`void` | `gauge(MetricGauge<Long> metric, long value)` Callback for long value gauges

Method Detail

### gauge

    void gauge(MetricGauge<Integer> metric,
               int value)

  Callback for int value gauges

  Parameters:
    `metric` - the metric object
    `value` - of the metric

### gauge

    void gauge(MetricGauge<Long> metric,
               long value)

  Callback for long value gauges

  Parameters:
    `metric` - the metric object
    `value` - of the metric

### gauge

    void gauge(MetricGauge<Float> metric,
               float value)

  Callback for float value gauges

  Parameters:
    `metric` - the metric object
    `value` - of the metric

### gauge

    void gauge(MetricGauge<Double> metric,
               double value)

  Callback for double value gauges

  Parameters:
    `metric` - the metric object
    `value` - of the metric

### counter

    void counter(MetricCounter<Integer> metric,
                 int value)

  Callback for integer value counters

  Parameters:
    `metric` - the metric object
    `value` - of the metric

### counter

    void counter(MetricCounter<Long> metric,
                 long value)

  Callback for long value counters

  Parameters:
    `metric` - the metric object
    `value` - of the metric

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation